Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.princeton.repeatedgames.rgsolve.utilities
Class UtilityFunctions

    java.lang.Object
      edu.princeton.repeatedgames.rgsolve.utilities.UtilityFunctions

    public final class UtilityFunctions

extends java.lang.Object

TODO Put here a description of what this class does.

Author:
  Moshe. Created Feb 28, 2013.

Field Summary
`(package private) static double` | `minDouble` 2^-52

Constructor Summary
`private` | `UtilityFunctions()`

Method Summary
`static BitSetFixed[]` | `cloneBitSetArray(BitSetFixed[] bitsets)`
`static double` | `getExpect(double[] X, double[] probs)`
`static double` | `getSupDistance(double[] v1, double[] v2)`
`static boolean` | `isValidTransition(double[] probs)`
`static double` | `max(double[] arr)`
`static int` | `maxIndex(double[] arr)`
`static double` | `sumArray(double[] arr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### minDouble

    static final double minDouble

  2^-52

Constructor Detail

### UtilityFunctions

    private UtilityFunctions()

Method Detail

### sumArray

    public static double sumArray(double[] arr)

### isValidTransition

    public static boolean isValidTransition(double[] probs)

### getExpect

    public static double getExpect(double[] X,
                                   double[] probs)

### cloneBitSetArray

    public static BitSetFixed[] cloneBitSetArray(BitSetFixed[] bitsets)

### max

    public static double max(double[] arr)

### maxIndex

    public static int maxIndex(double[] arr)

### getSupDistance

    public static double getSupDistance(double[] v1,
                                        double[] v2)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD